Update one locator

patch

/fscmRestApi/resources/11.13.18.05/locatorItems/{LocatorItemId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Title: Count Required
    Maximum Length: 1
    Contains one of the following values. 1. The application requires counting during periodic-automatic replenishment for the item in the locator. 2. The application doesn't require this counting. There's isn't a default value for this attribute.
  • Maximum Length: 255
    The type of periodic automatic replenishment. A list of accepted values is defined in the lookup type INV_DEFAULT_REPLEN_COUNT_TYPE. The default value is Order par.
  • Title: Replenishment Count Type
    Maximum Length: 30
    Abbreviation that identifies the type of periodic automatic replenishment. A list of accepted values is defined in the lookup type INV_DEFAULT_REPLEN_COUNT_TYPE. The default value is 4.
  • Maximum Length: 1
    Contains one of the following values: true or false. If true, then the full LPN transaction is enforced for the item in the locator. If false, then the full LPN transaction isn't enforced.
  • Global Trade Item Numbers
    Title: Global Trade Item Numbers
    Details of the Global Trade Item Numbers (GTINs) associated with the items.
  • Date when the item was last replenished for a locator during par counting.
  • Manufacturer Part Numbers
    Title: Manufacturer Part Numbers
    List of manufacturer part numbers (MPN) associated with the items.
  • Indicates the number of bins used during par replenishment
  • On-Hand Quantities
    Title: On-Hand Quantities
    The On-Hand Quantities resource provides the on-hand quantities for the items associated with a locator in a subinventory in their primary unit of measure.
  • Title: PAR Level
    Level that the application uses during periodic-automatic replenishment for the item locator.
  • Title: PAR Maximum Quantity
    Maximum quantity to use during periodic-automatic replenishment.
  • Maximum Length: 3
    Code that identifies the unit of measure to use for quantities during periodic-automatic replenishment.
  • Title: PAR Level UOM
    Unit of measure to use for quantities during periodic-automatic replenishment.
  • Title: Count Tolerance Percentage
    Count tolerance percent to use before the application doesn't allow the count. This tolerance prevents data entry mistakes when counting, and prevents ordering too much quantity for the replenishment request.
Nested Schema : Global Trade Item Numbers
Type: array
Title: Global Trade Item Numbers
Details of the Global Trade Item Numbers (GTINs) associated with the items.
Show Source
Nested Schema : Manufacturer Part Numbers
Type: array
Title: Manufacturer Part Numbers
List of manufacturer part numbers (MPN) associated with the items.
Show Source
Nested Schema : On-Hand Quantities
Type: array
Title: On-Hand Quantities
The On-Hand Quantities resource provides the on-hand quantities for the items associated with a locator in a subinventory in their primary unit of measure.
Show Source
Nested Schema : locatorItems-GTINs-item-patch-request
Type: object
Show Source
Nested Schema : locatorItems-MPNs-item-patch-request
Type: object
Show Source
Nested Schema : locatorItems-onhandQuantity-item-patch-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : locatorItems-item-response
Type: object
Show Source
Nested Schema : Global Trade Item Numbers
Type: array
Title: Global Trade Item Numbers
Details of the Global Trade Item Numbers (GTINs) associated with the items.
Show Source
Nested Schema : Manufacturer Part Numbers
Type: array
Title: Manufacturer Part Numbers
List of manufacturer part numbers (MPN) associated with the items.
Show Source
Nested Schema : On-Hand Quantities
Type: array
Title: On-Hand Quantities
The On-Hand Quantities resource provides the on-hand quantities for the items associated with a locator in a subinventory in their primary unit of measure.
Show Source
Nested Schema : locatorItems-GTINs-item-response
Type: object
Show Source
  • Read Only: true
    Maximum Length: 255
    Value that identifies the GTIN (global trade item number) for an item.
  • Links
Nested Schema : locatorItems-MPNs-item-response
Type: object
Show Source
Nested Schema : locatorItems-onhandQuantity-item-response
Type: object
Show Source
  • Links
  • Read Only: true
    Value that identifies the on-hand quantity for an item in a subinventory in its primary unit of measure.
  • Read Only: true
    Maximum Length: 25
    Value that identifies the unit of measure for an item associated with a subinventory.
  • Read Only: true
    Maximum Length: 3
    Value that identifies the unit of measure code for an item associated with a subinventory.
  • Read Only: true
    Value that indicates the on-hand quantity for an item in the stocking unit of measure of the subinventory.
  • Read Only: true
    Maximum Length: 25
    Value that indicates the unit of measure in which the items are stocked in a subinventory.
  • Read Only: true
    Maximum Length: 3
    Value that indicates the unit of measure code in which the items are stocked in a subinventory.
Back to Top

Examples

This example describes how to update one locator item.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/locatorItems/LocatorItemId"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{
    "ParLevel": 10,
    "ParMaximumQuantity": 100,
    "ParUOMCode": "Ea",
    "ParUOMMeasure": "Each",
    "CountRequired": "1",
    "DefaultCountTypeCode": "1"
}

Example Response Body

The following example includes the contents of the response body in JSON format:
{
    "InventoryItemId": 663913,
    "LocatorItemId": 300100568127374,
    "OrganizationId": 207,
    "OrganizationCode": "M1",
    "LocatorId": 300100568126095,
    "LocatorName": "1.1.1",
    "SubinventoryCode": "AALOCSUB1",
    "ItemNumber": "INV-100",
    "ParLevel": 10,
    "ParMaximumQuantity": 100,
    "ParUOMCode": "Ea",
    "ParUOMMeasure": "Each",
    "CountRequired": "1",
    "DefaultCountTypeCode": "1"
    "QuantityCountTolerance": null,
    "links": [
        {
            "rel": "self",
            "href": "https://servername/fscmRestApi/resources/version/locatorItems/300100568127374",
            "name": "locatorItems",
            "kind": "item",
            "properties": {
                "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
            }
        },
        {
            "rel": "canonical",
            "href": "https://servername/fscmRestApi/resources/version/locatorItems/300100568127374",
            "name": "locatorItems",
            "kind": "item"
        }
    ]
}
Back to Top